Bug 238230 - Review Request: perl-Catalyst-Action-RenderView - Sensible default end action for view renders
Review Request: perl-Catalyst-Action-RenderView - Sensible default end action...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
http://search.cpan.org/dist/Catalyst-...
:
Depends On: 237741
Blocks: perl-Catalyst-Devel
  Show dependency treegraph
 
Reported: 2007-04-27 22:56 EDT by Chris Weyl
Modified: 2010-08-25 13:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-24 20:42:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2007-04-27 22:56:20 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-Catalyst-Action-RenderView-0.04-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Catalyst-Action-RenderView.spec

Description:
This action implements a sensible default end action, which will forward to
the first available view, unless status is set to 3xx, or there is a
response body. It also allows you to pass dump_info=1 to the url in order
to force a debug screen, while in debug mode.
Comment 1 Parag AN(पराग) 2007-05-16 00:24:57 EDT
add TEST_POD BR for make test
Comment 2 Chris Weyl 2007-05-16 19:50:54 EDT
Pod tests fail at the moment, hence we're not running the author tests.

See also http://rt.cpan.org/Public/Bug/Display.html?id=27167
Comment 3 Parag AN(पराग) 2007-06-05 12:32:23 EDT
do we need to wait more here for this problem?
Comment 4 Chris Weyl 2007-06-05 23:02:19 EDT
SRPM URL:
http://home.comcast.net/~ckweyl/perl-Catalyst-Action-RenderView-0.04-2.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Catalyst-Action-RenderView.spec

I've incorporated a patch to correct the pod syntax error which caused Test::Pod
to fail.  However, pod coverage tests cannot be enabled as Test::Pod::Coverage
believes not all the documentation has been written yet:

t/03podcoverage....NOK 1                                                     
#   Failed test 'Pod coverage on Catalyst::Action::RenderView'
#   in /usr/lib/perl5/vendor_perl/5.8.8/Test/Pod/Coverage.pm at line 126.
# Coverage for Catalyst::Action::RenderView is 0.0%, with 1 naked subroutine:
#       execute
# Looks like you failed 1 test of 1.
t/03podcoverage....dubious                                                   
        Test returned status 1 (wstat 256, 0x100)
DIED. FAILED test 1
        Failed 1/1 tests, 0.00% okay

I believe execute() is called by Catalyst, not the end user, so this is not an
entirely unreasonable situation; moreover documentation is certainly provided by
the module.
Comment 5 Parag AN(पराग) 2007-06-06 02:33:26 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
95f0e438c073efa5e0930eda00304136  Catalyst-Action-RenderView-0.04.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
+ ./Build test
t/01use............ok
t/02pod............ok
t/03podcoverage....skipped
        all skipped: set TEST_POD_COVER to enable this test
t/04live...........[debug] Debug messages enabled
[debug] Loaded dispatcher "Catalyst::Dispatcher"
[debug] Loaded engine "Catalyst::Engine::CGI"
[debug] Found home
"/builddir/build/BUILD/Catalyst-Action-RenderView-0.04/t/lib/TestApp"
[debug] Loaded components:
.-----------------------------------------------------------------+----------.
| Class                                                           | Type     |
+-----------------------------------------------------------------+----------+
| TestApp::View::TestView                                         | instance |
'-----------------------------------------------------------------+----------'

[debug] Loaded Private actions:
.----------------------+--------------------------------------+--------------.
| Private              | Class                                | Method       |
+----------------------+--------------------------------------+--------------+
| /test_firstview      | TestApp                              | test_firstv- |
|                      |                                      | iew          |
| /end                 | TestApp                              | end          |
| /test_view           | TestApp                              | test_view    |
| /test_skipview       | TestApp                              | test_skipvi- |
|                      |                                      | ew           |
'----------------------+--------------------------------------+--------------'

[debug] Loaded Path actions:
.-------------------------------------+--------------------------------------.
| Path                                | Private                              |
+-------------------------------------+--------------------------------------+
| /test_firstview                     | /test_firstview                      |
| /test_skipview                      | /test_skipview                       |
| /test_view                          | /test_view                           |
'-------------------------------------+--------------------------------------'
[info] TestApp powered by Catalyst 5.7007
[info] *** Request 1 (1.000/s) [8462] [Wed Jun  6 00:09:17 2007] ***
[debug] "GET" request for "test_firstview" from "127.0.0.1"
[debug] Path is "test_firstview"
[info] Request took 0.016447s (60.801/s)
.----------------------------------------------------------------+-----------.
| Action                                                         | Time      |
+----------------------------------------------------------------+-----------+
| /test_firstview                                                | 0.000442s |
| /end                                                           | 0.004766s |
|  -> TestApp::View::TestView->process                           | 0.000071s |
'----------------------------------------------------------------+-----------'

[info] *** Request 2 (2.000/s) [8462] [Wed Jun  6 00:09:17 2007] ***
[debug] "GET" request for "test_view" from "127.0.0.1"
[debug] Path is "test_view"
[info] Request took 0.009183s (108.897/s)
.----------------------------------------------------------------+-----------.
| Action                                                         | Time      |
+----------------------------------------------------------------+-----------+
| /test_view                                                     | 0.000167s |
| /end                                                           | 0.002264s |
|  -> TestApp::View::TestView->process                           | 0.000049s |
'----------------------------------------------------------------+-----------'

[info] *** Request 3 (3.000/s) [8462] [Wed Jun  6 00:09:17 2007] ***
[debug] "GET" request for "test_skipview" from "127.0.0.1"
[debug] Path is "test_skipview"
[info] Request took 0.005515s (181.324/s)
.----------------------------------------------------------------+-----------.
| Action                                                         | Time      |
+----------------------------------------------------------------+-----------+
| /test_skipview                                                 | 0.000044s |
| /end                                                           | 0.000172s |
'----------------------------------------------------------------+-----------'
ok
All tests successful, 1 test skipped.
Files=4, Tests=17,  1 wallclock secs ( 0.50 cusr +  0.08 csys =  0.58 CPU)

+ Provides: perl(Catalyst::Action::RenderView)
+ Requires: perl(:MODULE_COMPAT_5.8.8) perl(Catalyst) perl(Catalyst) >= 5.7
perl(Catalyst::Action) perl(base)

Can we go with approving this with failed tests? I don't think so.
Comment 6 Chris Weyl 2007-06-06 11:01:29 EDT
Of the tests that are executing in %check, all pass (as evidenced by the output
you included above).  The one test that is not "passing" is an author test, is
subjective, and was designed by upstream to be skipped in the course of normal
execution (hence the need for the TEST_POD override...).
Comment 7 Parag AN(पराग) 2007-07-24 06:49:23 EDT
any plans to build this package?
Comment 8 Jason Tibbitts 2007-07-24 11:51:37 EDT
I have been unsuccessful in getting any response from Chris for some time now. 
He was active on IRC about four days ago (according to the server, at least) but
he didn't respond to my pings.  I'm getting ready to start closing some of his
other tickets.
Comment 9 Chris Weyl 2007-07-24 12:07:52 EDT
Sorry about all that.  Real Life is taking a sustained toll on me and I'm
finding myself unable to dedicate much time to Fedora at the moment; fortunately
things are starting to clear up.

I'll request branching and import -- Sorry about that Parag, I didn't see the
flag being set w/o the canonical "APPROVED" comment :)
Comment 10 Chris Weyl 2007-07-24 12:09:19 EDT
New Package CVS Request
=======================
Package Name: perl-Catalyst-Action-RenderView
Short Description: Sensible default end action for view renders
Owners: cweyl@alumni.drew.edu
Branches: FC-6, F-7, devel
InitialCC: fedora-perl-devel-list@redhat.com
Comment 11 Chris Weyl 2007-07-24 20:42:24 EDT
Imported and built.  Thanks for the review! :)
Comment 12 Iain Arnell 2010-08-25 01:53:56 EDT
Package Change Request
======================
Package Name: perl-Catalyst-Action-RenderView
New Branches: el6
Owners: iarnell tremble
InitialCC: perl-sig
Comment 13 Kevin Fenzi 2010-08-25 13:15:33 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.